/**
 * Remora Project
 *
 * File:         DataTransferConfiguration.java
 * RCS:          $Id: DataTransferConfig.java,v 1.5 2007/10/11 18:51:05 drc915 Exp $
 * Description:  DataTransferConfiguration class (see below)
 * Author:       David Choffnes
 *               Northwestern Systems Research Group
 *               Department of Computer Science
 *               Northwestern University
 * Created:      Mar 2, 2007 at 12:28:00 PM
 * Language:     Java
 * Package:      edu.northwestern.ono.net
 * Status:       Experimental (Do Not Distribute)
 *
 * (C) Copyright 2007, Northwestern University, all rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package edu.northwestern.ono.net;

import edu.northwestern.ono.experiment.OnoExperiment;

/**
 * @author David Choffnes &lt;drchoffnes@cs.northwestern.edu&gt;
 *
 * The DataTransferConfiguration class ...
 */
public class DataTransferConfig extends OnoExperiment {

	public static final int FTP = 4;
	
	public DataTransferConfig(OnoExperiment onoExpOrig) {
		this.beginTime = onoExpOrig.beginTime;
		this.dest = onoExpOrig.dest;
		this.endTime = onoExpOrig.endTime;
		this.experimentId = onoExpOrig.experimentId;
		this.experimentType = onoExpOrig.experimentType;
		this.forceDelay = onoExpOrig.forceDelay;
		this.foundTime = onoExpOrig.foundTime;
		this.numFileTransfers = onoExpOrig.numFileTransfers;
		this.otherEndIp = onoExpOrig.otherEndIp;
		this.port = onoExpOrig.port;
		this.preferredName = onoExpOrig.preferredName;
		this.randomPeers = onoExpOrig.randomPeers;
		this.size = onoExpOrig.size;
		this.source = onoExpOrig.source;
		this.sourceCon = onoExpOrig.sourceCon;
		this.targetCategory = onoExpOrig.targetCategory;
		this.useDetouring = onoExpOrig.useDetouring;
		this.version = onoExpOrig.version;
		this.props = onoExpOrig.props;
	}

	public DataTransferConfig() {
		experimentType = FTP;
	}

	public boolean isExperiment() {
		// TODO Auto-generated method stub
		return this.experimentType < 3;
	}

}
